import logging

from xmlschema.validators.complex_types import *
from xmlschema.validators.simple_types import XsdAtomicRestriction

from .TypeMapping import TypeMapping

log = logging.getLogger()

class SimpleTypeMapping(TypeMapping):
    def map(self, xst: BaseXsdType):
        log.debug(f"Attempting mapping of {xst} to simple type")
        if not (type(xst) is XsdAtomicRestriction):
            log.debug("Type is not an XsdAtomicRestriction, giving up")
            return None
        return {
            "$ref" : xst.base_type.name
        }